Home & search

Your sites home page, search, news across sites, and finding people.

MethodPathSummary
GET/api/v2/meWho you are: the signed-in person and what they can do here
GET/api/v2/homeYour sites home page
GET/api/v2/searchSearch sites and pages
GET/api/v2/newsNews from your sites
GET/api/v2/peopleFind people

#Who you are: the signed-in person and what they can do here

GET/api/v2/me
Address
https://<your-org>.brambleit.cloud/sites/api/v2/me
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.

Response 200

FieldTypeDescription
userobject
user.idinteger
user.namestring
user.first_namestring
user.emailstring
can_createboolean
colorsarray of any
iconsarray of any
Example response
JSON
{
  "user": {
    "id": 42,
    "name": "Example name",
    "first_name": "Alex",
    "email": "alex@example.com"
  },
  "can_create": true,
  "colors": [],
  "icons": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/me' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Your sites home page

GET/api/v2/home
Address
https://<your-org>.brambleit.cloud/sites/api/v2/home
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.

Response 200

FieldTypeDescription
followingarray of any
member_ofarray of any
discoverarray of any
newsany
news_scopestring
Example response
JSON
{
  "following": [],
  "member_of": [],
  "discover": [],
  "news": null,
  "news_scope": "string"
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/home' \
  -H "X-API-Key: $BRAMBLE_KEY"

#News from your sites

GET/api/v2/news
Address
https://<your-org>.brambleit.cloud/sites/api/v2/news
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.

Query parameters

NameTypeDescription
scopestringfollowing (sites you follow) or org (every site you can read, the default).
limitinteger
offsetinteger

Response 200

FieldTypeDescription
newsany
Example response
JSON
{
  "news": null
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/news' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Find people

GET/api/v2/people
Address
https://<your-org>.brambleit.cloud/sites/api/v2/people
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.

Query parameters

NameTypeDescription
qany

Response 200

FieldTypeDescription
resultsarray of any
Example response
JSON
{
  "results": []
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/people' \
  -H "X-API-Key: $BRAMBLE_KEY"